System.register(["cc"], function (_export, _context) {
  "use strict";

  var _cclegacy, _decorator, Component, PhysicsSystem2D, EPhysics2DDrawFlags, find, NodeEventType, View, Camera, Canvas, Graphics, Layers, _dec, _class, _crd, ccclass, property, Main;

  return {
    setters: [function (_cc) {
      _cclegacy = _cc.cclegacy;
      _decorator = _cc._decorator;
      Component = _cc.Component;
      PhysicsSystem2D = _cc.PhysicsSystem2D;
      EPhysics2DDrawFlags = _cc.EPhysics2DDrawFlags;
      find = _cc.find;
      NodeEventType = _cc.NodeEventType;
      View = _cc.View;
      Camera = _cc.Camera;
      Canvas = _cc.Canvas;
      Graphics = _cc.Graphics;
      Layers = _cc.Layers;
    }],
    execute: function () {
      _crd = true;

      _cclegacy._RF.push({}, "19af8fKZ2dMHJnYivUY0TWz", "main", undefined);

      ({
        ccclass,
        property
      } = _decorator);

      _export("Main", Main = (_dec = ccclass('Main'), _dec(_class = class Main extends Component {
        onLoad() {
          PhysicsSystem2D.instance.debugDrawFlags = EPhysics2DDrawFlags.Shape | EPhysics2DDrawFlags.Joint;
          this.node.on(NodeEventType.CHILD_ADDED, node => {
            console.warn("node", node);

            if (node.name === 'PHYSICS_2D_DEBUG_DRAW') {
              const rootNode = find('root');
              node.layer = Layers.Enum.DEFAULT;
              node.parent = rootNode;
              rootNode.addChild(node);
              node.setPosition(0, 0);
              console.warn('layer', node.layer, node);
            }
          });
          View.instance.on('design-resolution-changed', () => {
            find('root').getComponent(Camera).orthoHeight = find('Canvas').getComponent(Canvas).cameraComponent.orthoHeight;
          });
          find('root').getComponent(Camera).orthoHeight = find('Canvas').getComponent(Canvas).cameraComponent.orthoHeight;
        }

        start() {
          const g = find('root').getComponentInChildren(Graphics);
          g.lineWidth = 10;
          g.fillColor.fromHEX('#ff0000');
          g.moveTo(-40, 0);
          g.lineTo(0, -80);
          g.lineTo(40, 0);
          g.lineTo(0, 80);
          g.close();
          g.stroke();
          g.fill();
        }

        update(deltaTime) {}

      }) || _class));

      _cclegacy._RF.pop();

      _crd = false;
    }
  };
});
//# sourceMappingURL=212ec97d02a4ac1b86df59a0545cfb0af2106689.js.map