import { _decorator, Component, Node, game, Game, PhysicsSystem2D, PhysicsSystem2D_base, PhysicsSystem, EPhysics2DDrawFlags, director, find, macro, NodeEventType, View, view, Camera, Canvas, Graphics, Layers, CCObject } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('Main')
export class Main extends Component {

    onLoad() {
       PhysicsSystem2D.instance.debugDrawFlags = EPhysics2DDrawFlags.Shape | EPhysics2DDrawFlags.Joint
       this.node.on(NodeEventType.CHILD_ADDED, (node: Node) => {
            console.warn("node", node);
            if (node.name === 'PHYSICS_2D_DEBUG_DRAW') {
                const rootNode = find('root');
                rootNode.addChild(node);
                node.layer = Layers.Enum.DEFAULT;
                node.setPosition(0, 0);
                console.warn('layer', node.layer, node, rootNode);
            }
       });
       View.instance.on('design-resolution-changed', () => {
        // find('root').getComponent(Camera).orthoHeight = find('Canvas').getComponent(Canvas).cameraComponent.orthoHeight;
        console.warn('root', find('root'));
    });
    //    find('root').getComponent(Camera).orthoHeight = find('Canvas').getComponent(Canvas).cameraComponent.orthoHeight;

    }

    start() {
        const g = find('root').getComponentInChildren(Graphics);
        g.lineWidth = 10;
        g.fillColor.fromHEX('#ff0000');
        g.moveTo(-40, 0);
        g.lineTo(0, -80);
        g.lineTo(40, 0);
        g.lineTo(0, 80);
        g.close();
        g.stroke();
        g.fill();
        find('root').getChildByName('graphics').layer = Layers.Enum.UI_2D;
    }

    update(deltaTime: number) {
        
    }
}

